@import "@styles/base/colors";
@import "@styles/base/typography.scss";

//react-big-calendar custom
.rbc-month-view {
   border: 1px solid $lightBlueColor;
   border-left: 0;

   & .rbc-header {
     border-left: 1px solid $lightBlueColor;
     border-bottom: 0;
     padding: 10px 0 5px;
     font-weight: normal;
   }

   & .rbc-day-bg {
     border-left: 1px solid $lightBlueColor;
     &:hover {
        background-color: $lightBlueColor;
        border: 1px solid $primaryColor;
        border-radius: 10px;

     }
    }

   & .rbc-month-row {
     border-top: 1px solid $lightBlueColor;
   }

   & .rbc-off-range-bg {
       background: none;
       &:hover {
        background: none;
      }
   }

   & .rbc-date-cell {
       text-align: left;
       padding-left: 15px;
       padding-top: 10px;
       color: $greyText;
       font-weight: 500;

      & .rbc-offrange {
        color: $lightBlueColor;
      }
   }

   & .rbc-off-range {
    color: $lightBlueColor;
   }

   & .rbc-today {
    background: none;
   }

   & .rbc-event {
     position: relative;
     width: 85%;
     height: 49px;
     margin-left: 15px;
     padding-left: 20px;
     padding-top: 12px;
     background-color: $lightBlueSecColor;
     color: $greyText;
     font-size: 14px;
     border: 1px solid $lightBlueColor;
     border-radius: 0px 10px 10px 0px;
     &::before {
        display: inline-block;
        position: absolute;
        left: 4px;
        top: 4px;
        content: "";
        width: 3px;
        height: 40px;
        background-color: #6045FF;
     }
   }

   & .rbc-row-content {
     pointer-events: none;
   }
}

.rbc-toolbar-label {
    color: #fff;
}

.rbc-btn-group { 
    & button {
        height: 39px;
        border: 1px solid $greyColor;
        border-radius: 5px;
    }

    &:last-child {
      display: none;
    }
}

.dropdown-item {
  &:hover {
    color: $primaryColor !important;
    & .checkbox {
      border: 1px solid $primaryColor !important;
  }
  }
  &:active {
    background-color: $primaryColor !important;
    color: #fff !important;
  }
}

.popover {
  border-color: transparent !important;
  border-radius: 5px !important; 
}

.bs-popover-right > .arrow::before {
  border-right-color: transparent !important;
}

.form-check input {
  // -webkit-appearance: none;
  background-color: transparent;
  border: 1px solid $greyColor;
  width: 20px;
  height: 20px;
  border-radius: 5px;
  display: inline-block;
  position: relative;
}

.rounded-lg .modal-content {
  border-radius: 20px;
}

.modal {
  backdrop-filter: blur(10px);
  transition: backdrop-filter 0.2s;
}

.calendar-modal .modal-content {
  border-radius: 20px;
  width: 625px;
  height: 780px;
  border: none !important;
}

//react-calendar custom styles
.react-calendar__navigation {
  justify-content: center;
  margin-bottom: 25px;

  & button {
    min-width: auto;
    margin-right: 5px;

    &:hover, &:focus, &:active, &:enabled:hover {
      background-color: transparent !important;
      opacity: 0.7 !important;
    }
  }
  & button:nth-child(3) {
    flex-grow: 0 !important;
  }
}

.react-calendar__month-view__weekdays__weekday {
  height: 35px;
  border: 1px solid $lightBlueColor;
  border-right: none;

  &:last-child {
    border-right: 1px solid $lightBlueColor;
  }

  & abbr {
    @include font($fontGothamLight, 14px, 16.8px);
    text-decoration: none;
    color: $greyColor;
  }
}

.react-calendar__tile--now {
  background: $lightBlueColor !important;
}

.react-calendar__tile--active:enabled {
  position: relative;
  background: $lightBlueColor;
}

.react-calendar__tile--rangeStart,
.react-calendar__tile--rangeEnd {
  abbr {
    z-index: 3;
    color: #fff;
    position: relative;
  }

  &::after {
    content: "";
    position: absolute;
    z-index: 2;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    display: block;
    width: 64px;
    height: 64px;
    background: $primaryColor !important;
    border-radius: 50%;
  }

  &::before {
    content: "";
    position: absolute;
    z-index: 1;
    top: 0;
    display: block;
    width: 35px;
    height: 64px;
    background: $whiteColor !important;
  }
}

.react-calendar__tile--rangeStart {
  &::before {
    left: 0 !important;
  }
}

.react-calendar__tile--rangeEnd {
  &::before {
    right: 0 !important;
  }
}

.react-calendar__tile:enabled {
  &:hover {
    background: transparent !important;
    color: $primaryColor;
  }
}

.react-calendar__year-view {
  &:nth-child(-n+3) {
    border-top: 1px solid $lightBlueColor;
  }
  & button:nth-child(7n) {
    border-right: none !important;
  }
  & button:nth-child(3n) {
    border-right: 1px solid $lightBlueColor !important;
  }
  & abbr {
    @include font($fontGotham, 14px, 16.8px);
  }
}

//react-calendar custom styles for small calendar
.calendar-small {

  & .react-calendar {
    &__month-view__weekdays__weekday {
      border: none !important;

      & abbr {
        @include font($fontGothamLight, 14px, 16.8px);
        text-transform: none !important;
        cursor: default;
      }
    }

    & .react-calendar__tile--rangeStart,
    & .react-calendar__tile--rangeEnd {
      background-color: transparent !important;
      & abbr {
        z-index: 3;
        color: #fff;
        position: relative;
      }

      &::after {
        content: "";
        position: absolute;
        z-index: 2;
        top: 15%;
        left: 50%;
        transform: translateX(-50%);
        display: block;
        width: 29px;
        height: 29px;
        background: $primaryColor !important;
        border-radius: 50%;
      }

      &::before {
        display: none;
      }
}
    
  }

}

.filters-modal {
  & .modal-content {
    border-radius: 20px 0px 0 20px;
  }

  &.modal-dialog {
    margin: 15px 0px auto auto;
  }

}

.react-datepicker {
  border: 1px solid $greyColor !important;
  @include font($fontGotham, 12px, 16px);

  &__header {
    padding-top: 0px;
    background-color: $background;
    border-bottom: 1px solid $greyColor !important;
  }

  &__day {
    color: $greyText;
  }

  &__day-name {
    color: $greyText;
  }

  &__day--selected {
    color: #fff !important;
    background-color: $primaryColor !important;
  }

  & .react-datepicker__triangle::after {
    border-bottom-color: $primaryColor !important;
  } 
}
